<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:defaultpatternprofile="http:///defaultpatternprofile.ecore" xmlns:defaultprofile="http:///defaultprofile.ecore" xmlns:xalan="org.apache.xalan.xslt.extensions.Redirect" extension-element-prefixes="xalan">

	<xsl:output method="html" encoding="UTF-8" />
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="copyright" content="(C) Copyright IBM Corporation 2004" />
				<meta name="DC.rights.owner" content="(C) Copyright IBM Corporation 2004" />
				<meta name="security" content="public" />
				<meta name="Robots" content="index,follow" />
				<meta http-equiv="PICS-Label" content='(PICS-1.1 "http://www.icra.org/ratingsv02.html" l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) "http://www.rsac.org/ratingsv01.html" l gen true r (n 0 s 0 v 0 l 0) "http://www.classify.org/safesurf/" l gen true r (SS~~000 1))' />
				<meta name="DC.Format" content="XHTML" />
				<meta name="DC.Language" content="en-us" />
				<!-- All rights reserved. Licensed Materials Property of IBM -->
				<!-- US Government Users Restricted Rights -->
				<!-- Use, duplication or disclosure restricted by -->
				<!-- GSA ADP Schedule Contract with IBM Corp. -->
				<link rel="stylesheet" type="text/css" href="../com.ibm.style.doc/ibmdita.css" />
				<link rel="stylesheet" type="text/css" href="../com.ibm.style.doc/swg_info_common.css" />
				<title>Pattern Properties</title>
			</head>
			<body>
				<h1 class="topictitle">
					<xsl:value-of select="./defaultprofile:Asset/@name" /> Properties
				</h1>
			<div>
				<p />
			<table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
			<tr>
			  <td align="left" valign="top"> Group Path </td>
			  <td align="left" valign="top"> <xsl:value-of select="./defaultprofile:Asset/classification/specification/groupPath/@name"/> </td>
			</tr>
			<xsl:apply-templates select="./defaultprofile:Asset/classification/specification/propertyGroup" />
			</table>
		</div>
				
				

			</body>
		</html>
	</xsl:template>

	
	
	<xsl:template match="propertyGroup">
	    <xsl:for-each select="./property" >
	    <!--commenting this out b/c it may be too much information for the user 
		<tr>
		<td align="left" valign="top">Name</td>
		<td align="left" valign="top"> <xsl:value-of select="@name" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Description</td>
		<td align="left" valign="top"> <xsl:value-of select="@shortDescription" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Value</td>
		<td align="left" valign="top"> <xsl:value-of select="@value"/></td>
		</tr>
		<tr>
		<td align="left" valign="top">ID</td>
		<td align="left" valign="top"> <xsl:value-of select="@propertyId" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Read Only</td>
		<td align="left" valign="top"> <xsl:value-of select="@readOnly" /></td>
		</tr>
		-->
		<tr>
		<td align="left" valign="top"> <xsl:value-of select="@name"/> </td>
		<td align="left" valign="top"> <xsl:value-of select="@value" /> </td>
		</tr>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

