<?xml version="1.0" ?>
<!--                                                                        -->
<!-- Licensed Materials - Property of IBM                                   -->
<!-- (C) Copyright IBM Corp. 2003, 2004.  All Rights Reserved.              -->
<!--                                                                        -->
<!-- US Government Users Restricted Rights - Use, duplication or disclosure -->
<!-- restricted by GSA ADP Schedule Contract with IBM Corp.                 -->
<!--                                                                        -->
<xsl:stylesheet exclude-result-prefixes="publish" version="1.0"
    xmlns:publish="http://www.ibm.com/Rational/XTools/Publish" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output encoding="UTF-8" method="html"/>
    <xsl:template match="/">
        <xsl:apply-templates select="publish:project"/>
    </xsl:template>
    <xsl:template match="publish:project" name="createProjectIndex">
        <html>
            <head>
                <META content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
                <title>
                    <xsl:value-of select="@name"/>
                </title>
                <link href="content\WebPublish.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <img src="overview_banner.jpg"/>
                <p class="LargeTitle">
                    <xsl:value-of select="@name"/>
                </p>
                <table border="0" cellpadding="10">
                    <xsl:apply-templates select="publish:link"/>
                </table>
            </body>
        </html>
    </xsl:template>
    <!--  
    For this template, set the output method to "xml". If the method is set to "html", the xsl
    engine outputs the value of href attributes as a series of bytes of the form %E3%82%AD 
    for international languages. This is what W3C actually recommends. However, MS IE 6.0 (and 
    presumably earlier versions) is not able to handle a link with the UTF-8 characters which
    are presented as a series of byte values. If the output method is changed to "xml", the xsl
    transforms engine does not convert href attributes to a sequence of bytes. This keeps 
    IE happy.
    -->
    <xsl:output encoding="UTF-8" method="xml"/>
    <xsl:template match="publish:link" name="createProjectLinks">
        <tr>
            <td nowrap="">
                <p>
                    <a>
                        <xsl:attribute name="href">
                            <xsl:value-of select="@publish:filename"/>
                        </xsl:attribute>
                        <xsl:value-of select="@name"/>
                    </a>
                </p>
            </td>
            <td>
                <xsl:value-of select="@publish:description"/>
            </td>
        </tr>
    </xsl:template>
</xsl:stylesheet>
