<?xml version="1.0"?>
<!--                                                                        -->
<!-- Licensed Materials - Property of IBM                                   -->
<!-- (C) Copyright IBM Corp. 2003, 2004.  All Rights Reserved.              -->
<!--                                                                        -->
<!-- US Government Users Restricted Rights - Use, duplication or disclosure -->
<!-- restricted by GSA ADP Schedule Contract with IBM Corp.                 -->
<!--                                                                        -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:xmi="http://www.omg.org/XMI"
    xmlns:uml="http://www.eclipse.org/uml2/1.0.0/UML"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:publish="http://www.ibm.com/Rational/XTools/Publish"
    exclude-result-prefixes="xmi uml xsi publish">
    <xsl:output method="html"/>
    <!-- ======================================================================================== -->
    <!-- Contains global variables -->
    <!-- ======================================================================================== -->
    <xsl:variable name="fileSep">/</xsl:variable>
    <xsl:variable name="newLine">
        <xsl:text/>
    </xsl:variable>
    <xsl:variable name="qualifiedNameSep">::</xsl:variable>
    <xsl:variable name="globalGeneratorName" select="&apos;IBM Rational Model Publisher&apos;"/>
    <xsl:variable name="topLevelIsModel" select="not(/ownedMember[1]/@xsi:type='uml:Package')"/>
    <xsl:variable name="propertiesTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'ContentHeading.Properties'"/>
        </xsl:call-template>
    </xsl:variable>
    
     <!-- Load customer visible strings from the string table -->
    <xsl:variable name="enumLiteralTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.EnumLiterals'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="attributeTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Attributes'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="operationTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Operations'"/>
        </xsl:call-template>
    </xsl:variable>
    <!-- TODO : once translation is unlocked, needs to be put in messages.xml -->
    <xsl:variable name="urlsTableTitle" select="'URLs'"/>
    <xsl:variable name="ActivityNodeTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ActivityNode'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ActivityEdgeTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ActivityEdges'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="interactionTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Interactions'"/>
        </xsl:call-template>
    </xsl:variable>
	<xsl:variable name="lifelineTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Lifelines'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="combinedFragmentTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.CombinedFragments'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="executionOccurrenceTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ExecutionOccurrences'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="interactionOccurrenceTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.InteractionOccurrences'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="stopTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Stops'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateBindingTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateBinding'"/>
        </xsl:call-template>
    </xsl:variable>
        <xsl:variable name="templateParameterSubstitutionTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateParameterSubstitution'"/>
        </xsl:call-template>
    </xsl:variable>    
    <xsl:variable name="templateParameterTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateParameters'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateSignatureTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateSignature'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="stateTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.States'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="pseudoStateTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.PseudoStates'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="enumLiteralDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.EnumLiteralDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="attributeDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.AttributeDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="operationDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.OperationDetails'"/>
        </xsl:call-template>
    </xsl:variable>
            
    <xsl:variable name="ActivityNodeDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ActivityNodeDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ActivityEdgeDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ActivityEdgeDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="lifelineDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.LifelineDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="combinedFragmentDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.CombinedFragmentDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="executionOccurrenceDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.ExecutionOccurrenceDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="interactionOccurrenceDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.InteractionOccurrenceDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="stopDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.Stops'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateBindingDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateBindingDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateParameterSubstitutionDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateParameterSubstitutionDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateParametersDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateParameterDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="templateSignatureDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.TemplateSignatureDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="stateDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.StateDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="pseudoStateDetailsTableTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'TableHeading.PseudoStateDetails'"/>
        </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="operationParametersListTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'ContentHeading.Parameters'"/>
        </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="operationReturnsTitle">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'ContentHeading.Returns'"/>
        </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="enumLiteralsNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.EnumLiterals'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="attributesNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.Attributes'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="operationsNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.Operations'"/>
        </xsl:call-template>
    </xsl:variable>
    <!-- TODO : once translation is unlocked, needs to be put in messages.xml -->
    <xsl:variable name="urlsNavName" select="'URLs'"/>
    <!-- TODO : once translation is unlocked, needs to be put in messages.xml -->
    <xsl:variable name="nestedClassifiersNavName" select="'Nested Classifiers'"/>
    <xsl:variable name="ActivityNodeNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.ActivityNode'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ActivityEdgeNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.ActivityEdge'"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="propertiesNavName">
        <xsl:call-template name="getLocalizedString">
            <xsl:with-param name="key" select="'Nav.Properties'"/>
        </xsl:call-template>
    </xsl:variable>
        
    <xsl:variable 
            name="globalTopLevelAllSupportedElementTypes" select="
                            //contents[@xsi:type='notation:Diagram'] |
                            //ownedMember[@xsi:type='uml:Class'] | 
                            //ownedMember[@xsi:type='uml:Interface']  | 
                            //ownedMember[@xsi:type='uml:Enumeration'] |    
                            //ownedMember[@xsi:type='uml:Signal'] |                                                                         
                            //ownedMember[@xsi:type='uml:Node'] |
                            //ownedMember[@xsi:type='uml:Component'] |
                            //ownedMember[@xsi:type='uml:ComponentInstance'] |
                            //ownedMember[@xsi:type='uml:Actor'] |
                            //ownedMember[@xsi:type='uml:UseCase'] |
                            //ownedMember[@xsi:type='uml:StateMachine'] |
                            //ownedMember[@xsi:type='uml:Artifact'] |
                            //ownedMember[@xsi:type='uml:InstanceSpecification'] | 
                            //ownedMember[@xsi:type='uml:ExecutionEnvironment'] | 
                            //ownedMember[@xsi:type='uml:Device'] | 
                            //ownedMember[@xsi:type='uml:DeploymentSpecification'] |
                            //ownedMember[@xsi:type='uml:Collaboration'] |
                            //ownedMember[@xsi:type='uml:Activity'] |
                            //ownedMember[@xsi:type='uml:Association'] |
                            //ownedMember[@xsi:type='uml:AssociationClass'] |
                            //ownedMember[@xsi:type='uml:Realization'] |
                            //ownedMember[@xsi:type='uml:Dependency'] |
                            //ownedMember[@xsi:type='uml:Usage'] |
                            //ownedMember[@xsi:type='uml:Abstraction'] |
                            //ownedMember[@xsi:type='uml:CommunicationPath'] |
                            //ownedMember[@xsi:type='uml:PrimitiveType'] |
                            //ownedTrigger[@xsi:type='uml:CallTrigger'] |
                            //generalization[@xsi:type='uml:Generalization'] |
                            //implementation[@xsi:type='uml:Implementation'] |
                            //substitution[@xsi:type='uml:Substitution'] |
                            //packageImport[@xsi:type='uml:PackageImport'] |
                            //include[@xsi:type='uml:Include'] |
                            //extend[@xsi:type='uml:Extend'] |
                            //manifestation[@xsi:type='uml:Manifestation'] |
                            //deployment[@xsi:type='uml:Deployment'] |
                            //elementImport[@xsi:type='uml:ElementImport'] |
                            //ownedBehavior[@xsi:type='uml:Interaction'] |
                            //region[@xsi:type='uml:Region'] |
                            //subvertex[@xsi:type='uml:State'] |
                            //subvertex[@xsi:type='uml:FinalState'] |
                            //subvertex[@xsi:type='uml:Pseudostate'] |
                            //transition[@xsi:type='uml:Transition'] |
                            //node[@xsi:type='uml:ApplyFunctionAction'] |
                            //node[@xsi:type='uml:StructuredActivityNode'] |
                            //node[@xsi:type='uml:DecisionNode'] |
                            //node[@xsi:type='uml:MergeNode'] |
                            //node[@xsi:type='uml:ForkNode'] |
                            //node[@xsi:type='uml:JoinNode'] |
                            //node[@xsi:type='uml:InitialNode'] |
                            //node[@xsi:type='uml:ActivityFinalNode'] |
                            //node[@xsi:type='uml:FlowFinalNode'] |
                            //node[@xsi:type='uml:CentralBufferNode'] |
                            //node[@xsi:type='uml:DataStoreNode'] |
                            //containedNode[@xsi:type='uml:ApplyFunctionAction'] |           
                            //containedNode[@xsi:type='uml:StructuredActivityNode'] |
                            //containedNode[@xsi:type='uml:DecisionNode'] |
                            //containedNode[@xsi:type='uml:MergeNode'] |
                            //containedNode[@xsi:type='uml:ForkNode'] |
                            //containedNode[@xsi:type='uml:JoinNode'] |
                            //containedNode[@xsi:type='uml:InitialNode'] |
                            //containedNode[@xsi:type='uml:ActivityFinalNode'] |
                            //containedNode[@xsi:type='uml:FlowFinalNode'] |
                            //containedNode[@xsi:type='uml:CentralBufferNode'] |
                            //containedNode[@xsi:type='uml:DataStoreNode'] |
                            //containedNode[@xsi:type='uml:Action'] |
                            //edge[@xsi:type='uml:ControlFlow'] |
                            //edge[@xsi:type='uml:ObjectFlow'] |
                            //containedEdge[@xsi:type='uml:ControlFlow'] |
                            //containedEdge[@xsi:type='uml:ObjectFlow'] |
                            //lifeline[@xsi:type='uml:Lifeline'] |
                            //message[@xsi:type='uml:Message'] |
                            //nestedClassifier[@xsi:type='uml:Class'] |
                            //nestedClassifier[@xsi:type='uml:Collaboration'] |
                            //nestedClassifier[@xsi:type='uml:Enumeration'] |
                            //ownedPort[@xsi:type='uml:Port'] |
                            //occurrence[@xsi:type='uml:CollaborationOccurrence'] |
                            //ownedConnector[@xsi:type='uml:Connector'] |
                            //exit[@xsi:type='uml:Activity'] |
                            //entry[@xsi:type='uml:Activity'] |
                            //doActivity[@xsi:type='uml:Activity'] |
                            //configuration[@xsi:type='uml:DeploymentSpecification'] |
                            //ownedParameteredElement[@xsi:type='uml:Class']">
    </xsl:variable>
    <!-- Split XML per package approach -->
    <!-- PERFORMANCE -->
    <!-- this key holds fast access to all ownedComments in the model by their 'xmi:id' attribute -->
    <xsl:key name="TableCommentsByIds" match="ownedComment" use="@xmi:id"/>
    
    <!-- this key holds fast access to all ownedComments in the model by their 'annotedElement' attribute -->
    <xsl:key name="TableCommentsByAttachedElement" match="ownedComment" use="@annotatedElement"/>
    
    <!-- this key holds fast access to all ownedRules in the model by their 'xmi:id' attribute -->
    <xsl:key name="TableConstraintsByIds" match="ownedRule" use="@xmi:id"/>
    
    <!-- this key holds fast access to all ownedRules in the model by their 'constrainedElement' attribute -->
    <xsl:key name="TableConstraintsByAttachedElement" match="ownedRule" use="@constrainedElement"/>
    
    <!-- this key holds fast access to all ownedRules in the model by their 'xmi:id' attribute -->
    <xsl:key name="TableModelsByIds" match="uml:Model" use="@xmi:id"/>
    
    <xsl:variable name="globalTopLevelId">
        <xsl:choose>
            <xsl:when test="/ = ownedMember">
                <xsl:value-of select="/ownedMember/@publish:toplevelguid"/>
            </xsl:when>
            <xsl:when test="/ = uml:Model">
                <xsl:value-of select="/uml:Model/@publish:toplevelguid"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:message terminate="yes">
                    Information about top level GUID is missing. Unable to continue.
                </xsl:message>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
</xsl:stylesheet>
